# Obtain JWT Token POST /api/v1/token/ Content-Type: application/json Obtains JWT tokens for authentication. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/token/create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/token/: post: operationId: create summary: Obtain JWT Token description: Obtains JWT tokens for authentication. tags: - subpackage_token responses: '200': description: Tokens obtained successfully content: application/json: schema: description: Any type '400': description: Invalid credentials content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/IAMTokenObtainPair' components: schemas: IAMTokenObtainPair: type: object properties: username: type: string password: type: string required: - username - password description: |- This only updates when /token is called, not when /token/refresh is called. Probably need to update for /refresh to get accurate metrics for refresh as well title: IAMTokenObtainPair ``` ## SDK Code Examples ```python JWT Token Example import requests url = "https://api.example.com/api/v1/token/" payload = { "username": "alice.williams", "password": "S3cur3P@ssw0rd!" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript JWT Token Example const url = 'https://api.example.com/api/v1/token/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"username":"alice.williams","password":"S3cur3P@ssw0rd!"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go JWT Token Example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/token/" payload := strings.NewReader("{\n \"username\": \"alice.williams\",\n \"password\": \"S3cur3P@ssw0rd!\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby JWT Token Example require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/token/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"username\": \"alice.williams\",\n \"password\": \"S3cur3P@ssw0rd!\"\n}" response = http.request(request) puts response.read_body ``` ```java JWT Token Example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/token/") .header("Content-Type", "application/json") .body("{\n \"username\": \"alice.williams\",\n \"password\": \"S3cur3P@ssw0rd!\"\n}") .asString(); ``` ```php JWT Token Example request('POST', 'https://api.example.com/api/v1/token/', [ 'body' => '{ "username": "alice.williams", "password": "S3cur3P@ssw0rd!" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp JWT Token Example using RestSharp; var client = new RestClient("https://api.example.com/api/v1/token/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"username\": \"alice.williams\",\n \"password\": \"S3cur3P@ssw0rd!\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift JWT Token Example import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "username": "alice.williams", "password": "S3cur3P@ssw0rd!" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/token/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```